Skip to main content
DELETE
/
api
/
knowledge-bases
/
{knowledgeBaseId}
/
sources
/
{sourceId}
Delete knowledge base source
curl --request DELETE \
  --url https://api.upon-ai.com/api/knowledge-bases/{knowledgeBaseId}/sources/{sourceId} \
  --header 'Authorization: Bearer <token>'
{
  "knowledgeBaseId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "sources": [
    {
      "source_id": "<string>",
      "source_type": "<string>",
      "filename": "<string>"
    }
  ],
  "workspaceId": 123
}

Documentation Index

Fetch the complete documentation index at: https://documentation.uponai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Path Parameters

knowledgeBaseId
string
required

Knowledge base identifier.

sourceId
string
required

Knowledge base source identifier.

Query Parameters

workspaceId
integer
required

Workspace identifier. Call GET /api/workspaces to list workspaces accessible to your token.

Response

200 - application/json

Knowledge base with updated source list.

knowledgeBaseId
string
required
name
string
required
status
enum<string>
required
Available options:
processing,
ready,
failed
description
string | null
sources
object[]
workspaceId
integer | null